	.globl	__send
	.globl	__receive
	.globl	__sendrec
| =====================================================================
|                           send and receive                          =
| =====================================================================
| send(), receive(), sendrec() destroy d0, d1, and a0.

| See ../include/com.h for C definitions
#define SEND	1
#define RECEIVE	2
#define BOTH	3

	.text
__send:
	movew	#SEND,d0	| send(dest, ptr)
	jra	1f
__receive:
	movew	#RECEIVE,d0	| receive(src, ptr)
	jra	1f
__sendrec:
	movew	#BOTH,d0	| sendrec(srcdest, ptr)
1:				| d0 = SEND/RECEIVE/BOTH
#ifndef __SHORT__
	movel	sp@(4),d1	| d1 = dest-src
	movel	sp@(8),a0	| a0 = message pointer
#else
	movew	sp@(4),d1	| d1 = dest-src
	movel	sp@(6),a0	| a0 = message pointer
#endif
	trap	#0		| trap to the kernel
#ifndef __SHORT__
	extl	d0
#endif
	rts			| return
