/*-
 * Copyright (c) 2013-2015 Hans Ottevanger
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

	.text
	.even
	.globl	_sigsetjmp
_sigsetjmp:		
	movel	sp@(4),a0
	movel	sp@,a0@
#ifndef __SHORT__
	movel	sp@(8),a0@(52)
	jeq	1f
	pea	a0@(56)
	clrl	sp@-
	pea	2:w
	jbsr	_sigprocmask
	lea	sp@(12),sp
1:	movel	sp@(4),a0
	moveq	#0,d0
#else
	movew	sp@(8),a0@(52)
	jeq	1f
	pea	a0@(54)
	clrl	sp@-
	movew	#2,sp@-
	jbsr	_sigprocmask
	lea	sp@(10),sp
1:	movel	sp@(4),a0
	clrw	d0
#endif
	moveml	d2-d7/a2-a7,a0@(4)
	rts	

	.even
	.globl	_siglongjmp
_siglongjmp:		
	movel	sp@(4),a0
#ifndef __SHORT__
	tstl	a0@(52)
	jeq	2f
	clrl	sp@-
	pea	a0@(56)
	pea	2:w
	jbsr	_sigprocmask
	lea	sp@(12),sp
2:	movel	sp@(8),d0
	jne	3f
	moveq	#1,d0
#else
	tstw	a0@(52)
	jeq	2f
	clrl	sp@-
	pea	a0@(54)
	movew	#2,sp@-
	jbsr	_sigprocmask
	lea	sp@(10),sp
2:	movew	sp@(8),d0
	jne	3f
	movew	#1,d0
#endif
3:	movel	sp@(4),a0
	moveml	a0@(4),d2-d7/a2-a7
	movel	a0@,sp@
	rts	

