/*
 * perror.c - print an error message on the standard error output
 */
/* $Header: perror.c,v 1.1 89/05/30 13:31:30 eck Exp $ */

#include	<sys/types.h>
#include	<stdio.h>
#include	<errno.h>
#include	<unistd.h>
#include	<string.h>
#include	"loc_incl.h"

void
perror(const char *s)
{
	char *p;
	int fd;

	fd = fileno(stderr);
	fflush(stdout);
	fflush(stderr);
	if (s && *s) {
		write(fd, s, strlen(s));
		write(fd, ": ", 2);
	}
	p = strerror(errno);
	write(fd, p, strlen(p));
	write(fd, "\n", 1);
}
