CC=exec /usr/bin/cc
CFLAGS	= -O -I. -D_MINIX -D_POSIX_SOURCE


CMD	= anm aoutdump asize astrip cc ncc cv tos loadfont \
	  diskrtc diskset megartc weidertc ttrtc fdctrl fdfmt
CMDNEW	= binconv
CMDNOT	=

all:	$(CMD) $(CMDNEW)

clean:
	rm -f *.o $(CMD) $(CMDNEW)

anm: anm.c
	$(CC) $(CFLAGS) $@.c -o $@
aoutdump: aoutdump.c
	$(CC) $(CFLAGS) $@.c -o $@
asize: asize.c
	$(CC) $(CFLAGS) $@.c -o $@
astrip: astrip.c
	$(CC) $(CFLAGS) $@.c -o $@
cc: cc.c
	$(CC) $(CFLAGS) $@.c -o $@
ncc: ncc.c
	$(CC) $(CFLAGS) $@.c -o $@
cv: cv.c
	$(CC) $(CFLAGS) $@.c -o $@
tos: tos.c
	$(CC) $(CFLAGS) $@.c -o $@
	chmem =25000 $@
loadfont: loadfont.c
	$(CC) $(CFLAGS) $@.c -o $@
megartc: megartc.c
	$(CC) $(CFLAGS) $@.c -o $@
ttrtc: ttrtc.c
	$(CC) $(CFLAGS) $@.c -o $@
weidertc: weidertc.c
	$(CC) $(CFLAGS) $@.c -o $@
diskrtc: diskrtc.c
	$(CC) $(CFLAGS) diskrtc.c -o $@
diskset: diskset.c
	$(CC) $(CFLAGS) diskset.c -o $@
binconv: binconv.c
	$(CC) $(CFLAGS) binconv.c -o $@
fdctrl: fdctrl.c
	$(CC) $(CFLAGS) $@.c -o $@
fdfmt: fdfmt.c
	$(CC) $(CFLAGS) $@.c -o $@
